Skip to main content
GET
/
api
/
v1
/
collections
/
{slug}
Get collection
curl --request GET \
  --url https://api.kynva.ai/api/v1/collections/{slug} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.kynva.ai/api/v1/collections/{slug}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.kynva.ai/api/v1/collections/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "slug": "<string>",
    "type": "<string>",
    "description": "<string>",
    "coverImageUrl": "<string>",
    "badgeText": "<string>",
    "badgeColor": "<string>",
    "tier": "<string>",
    "featured": true,
    "usageCount": 123,
    "favoriteCount": 123,
    "templateCount": 123,
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "publishedAt": "<string>",
    "templates": [
      {
        "templateId": "<string>",
        "featured": true,
        "order": 123,
        "template": {
          "id": "<string>",
          "name": "<string>",
          "slug": "<string>",
          "thumbnailUrl": "<string>",
          "platform": "<string>",
          "format": "<string>",
          "aesthetic": "<string>",
          "width": 123,
          "height": 123,
          "aspectRatio": "<string>"
        }
      }
    ],
    "relatedCollections": "<array>"
  }
}
{
"success": true,
"error": {
"code": "<string>",
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Path Parameters

slug
string
required

Collection slug or ID

Query Parameters

Include related collections

Response

Collection details with templates

Collection details with templates

success
boolean
data
object